Package anbxj

# Class AnBx_Agent

java.lang.Object
anbxj.AnBx_Agent

All Implemented Interfaces:
  `Serializable`, `Principal`

public class AnBx_Agent extends Object implements Principal, Serializable
AnBx Agent

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnBx_Agent(String alias)`
  Constructs an AnBx_Agent with the specified alias.
  `AnBx_Agent(String alias, AnB_Crypto_Wrapper lb)`
  Constructs an AnBx_Agent with the specified alias and certificates from a Crypto_Wrapper.
  `AnBx_Agent(String alias, AnB_Session lbs)`
  Constructs an AnBx_Agent with the specified alias and certificates from a Session.
  `AnBx_Agent(String alias, Map<Crypto_KeyStoreType,Certificate> cert)`
  Constructs an AnBx_Agent with the specified alias and certificates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Certificate`
  `getCert(Crypto_KeyStoreType kst)`
  Retrieves the certificate associated with the specified Crypto_KeyStoreType.
  `String`
  `getName()`
  `int`
  `hashCode()`
  `Boolean`
  `isCertified()`
  Checks if the AnBx_Agent has certificates for all specified Crypto_KeyStoreTypes.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.security.Principal

  `implies`

- ## Constructor Details

  - ### AnBx_Agent

    public AnBx_Agent(String alias)
    Constructs an AnBx_Agent with the specified alias.
    Parameters:
      `alias` - The alias for the AnBx_Agent.

  - ### AnBx_Agent

    public AnBx_Agent(String alias, Map<Crypto_KeyStoreType,Certificate> cert)
    Constructs an AnBx_Agent with the specified alias and certificates.
    Parameters:
      `alias` - The alias for the AnBx_Agent.
      `cert` - The certificates associated with the AnBx_Agent.

  - ### AnBx_Agent

    public AnBx_Agent(String alias, AnB_Crypto_Wrapper lb)
    Constructs an AnBx_Agent with the specified alias and certificates from a Crypto_Wrapper.
    Parameters:
      `alias` - The alias for the AnBx_Agent.
      `lb` - The Crypto_Wrapper from which to retrieve certificates.

  - ### AnBx_Agent

    public AnBx_Agent(String alias, AnB_Session lbs)
    Constructs an AnBx_Agent with the specified alias and certificates from a Session.
    Parameters:
      `alias` - The alias for the AnBx_Agent.
      `lbs` - The Session from which to retrieve certificates.

- ## Method Details

  - ### isCertified

    public Boolean isCertified()
    Checks if the AnBx_Agent has certificates for all specified Crypto_KeyStoreTypes.
    Returns:
      True if the AnBx_Agent is certified for all specified Crypto_KeyStoreTypes, false otherwise.

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `Principal`
    Overrides:
      `equals` in class `Object`

  - ### getCert

    public Certificate getCert(Crypto_KeyStoreType kst)
    Retrieves the certificate associated with the specified Crypto_KeyStoreType.
    Parameters:
      `kst` - The Crypto_KeyStoreType for which to retrieve the certificate.
    Returns:
      The certificate associated with the specified Crypto_KeyStoreType.

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `Principal`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Principal`
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `Principal`
    Overrides:
      `toString` in class `Object`